Hooks:PostHook(WeaponFactoryTweakData, "init", "mw2022_vgs_add_parts_init", function(self)

	local function mw2022_vg_addon(weapon_table,part_id)
		for _, wep_id in pairs(weapon_table) do
			if self[wep_id] then
				table.insert(self[wep_id].uses_parts, part_id) -- just going to borrow some code from hdd lambda AND carl 
			end
		end
	end
	
	
	--MCX Spear/XM5
	--Primary/Secondary MW2019 SCAR
	--MW2019 M4A1
	--Perfectly Normal SIG MCX
	--FIGHTING EVIL BY MOONLIGHT, WINNING LOVE BY DAYLIGHT, NEVER RUNNING FROM A REAL FIGHT ...
	--Mira's MSBS Grot
	--Mira's MW2019 LWRC SMG45
	--Carl's 416 Frontline
	--Carl's Secondary Q Badger
	--Pawcio's AK12
	--FBI OPEN UP
	
		
	local customs_mw2022_vert_grip = {
		"wpn_fps_ass_mcx_spear",
		"wpn_fps_ass_scharlie",
		"wpn_fps_ass_scharlie_sec",
		"wpn_fps_ass_mike4",
		"wpn_fps_ass_mcbravo",
		"wpn_fps_ass_mcharlie",
		"wpn_fps_ass_grotb",
		"wpn_fps_smg_smg45",
		"wpn_fps_ass_raifu",
		"wpn_fps_smg_betty",
		"wpn_fps_ass_ak12",
		"wpn_fps_ass_r6s_r4c"
	}

	mw2022_vg_addon(customs_mw2022_vert_grip,
	"wpn_fps_upg_vg_mw2022_daniel_defense",
	"wpn_fps_upg_vg_mw2022_vert01", 
	"wpn_fps_upg_vg_mw2022_vert02", 
	"wpn_fps_upg_vg_mw2022_vert03", 
	"wpn_fps_upg_vg_mw2022_vert03", 
	"wpn_fps_upg_vg_mw2022_vert04", 
	"wpn_fps_upg_vg_mw2022_vert05", 
	"wpn_fps_upg_vg_mw2022_vertshort04", 
	"wpn_fps_upg_vg_mw2022_vertshort06" 
	
	)
	
	--MCX Gen 1
	--MW2022 M4 URGI
	--MW2022 M14 EBR
	--Dont be sad, this is just how things work out sometimes
	--Mira's MK18
	--Mira's HK433
	--Leon's Triton Manufacturing TR-15
	--Leon's Sarich Spear
	--Carl's MK17 Mod 0
	--Carl's Primary Q Badger
	
	
	local customs_mw2022_angled_grip = {
		"wpn_fps_ass_mcx_gen1",
		"wpn_fps_ass_mike4_2022",
		"wpn_fps_snp_mike14_2022_sec",
		"wpn_fps_ass_2042_dm7",
		"wpn_fps_smg_m4cqb",	
		"wpn_fps_ass_mk18prim", 
		"wpn_fps_ass_hkg14976",
		"wpn_fps_ass_hometown",
		"wpn_fps_ass_spear308",
		"wpn_fps_ass_mk17",
		"wpn_fps_ass_petto"
	}
	
	mw2022_vg_addon(customs_mw2022_angled_grip,
	"wpn_fps_upg_vg_mw2022_angled01", 
	"wpn_fps_upg_vg_mw2022_angled04", 
	"wpn_fps_upg_vg_mw2022_angledshort01",
	"wpn_fps_upg_vg_mw2022_angledshort02",
	"wpn_fps_upg_vg_mw2022_angledshort03",
	"wpn_fps_upg_vg_mw2022_angledshort04",
	"wpn_fps_upg_vg_mw2022_angledshort05",
	"wpn_fps_upg_vg_mw2022_angledshort06",
	"wpn_fps_upg_vg_mw2022_angledshort07"
	
	
	)


end)